@INPROCEEDINGS{Mining,
    author = {Glenn Ammons and Rastislav Bodik and James R. Larus},
    title = {Mining specifications},
    booktitle = {},
    year = {2002},
    pages = {4--16}
}

@article{Jungloid,
 author = {David Mandelin and Lin Xu and Rastislav Bod\'{\i}k and Doug Kimelman},
 title = {Jungloid mining: helping to navigate the API jungle},
 journal = {SIGPLAN Not.},
 volume = {40},
 number = {6},
 year = {2005},
 issn = {0362-1340},
 pages = {48--61},
 doi = {http://doi.acm.org/10.1145/1064978.1065018},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@MISC{ASM,
  title = {ASM},
  author = {ObjectWeb},
  howpublished = "\url{http://asm.objectweb.org/}"
}

@MISC{JIP,
  key = {JIP},
  title = {JIP - The Java Interactive Profiler},
  howpublished = "\url{http://jiprof.sourceforge.net/}"
}

@MISC{JWeather,
  key = {JWeather},
  title = {jweather},
  howpublished = "\url{http://sourceforge.net/projects/jweather/}"
}

@MISC{Lucene,
  title = {Lucene},
  author = {Apache},
  howpublished = "\url{http://lucene.apache.org/java/docs/}"
}

@MISC{mallet,
  author = {UMass Amherst},
  title = {Mallet: Machine Learning for Language Toolkit},
  howpublished = "\url{http://mallet.cs.umass.edu/}"
}
